import { ValidateFunction } from 'ajv';
export declare class ValidationError extends Error {
    errors: any;
    readonly name = "ValidationError";
    constructor(message: string, errors: any);
}
export interface ClassValidator {
    [method: string]: ValidateFunction;
}
export declare function createClassValidator(schema: {
    definitions: {
        [key: string]: any;
    };
}, className: string, field: string): ClassValidator;
export declare function createReturnTypeValidator(schema: {
    definitions: {
        [key: string]: any;
    };
}, className: string): ClassValidator;
